Bug 804197 - gobject-introspection multilib
gobject-introspection multilib
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gobject-introspection (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
: Reopened
: 1230016 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 15:45 EDT by Colin Walters
Modified: 2017-12-12 05:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:28:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1076414 None None None Never

  None (edit)
Description Colin Walters 2012-03-16 15:45:41 EDT
There's a conflict on the .gir file because we're scanning $libdir/glib-2.0/include/glibconfig.h, which has architecture-specific definitions.

There's no really easy fix here.  We can't just rename the .gir file because that would break g-ir-scanner.

The correct fix is probably to remove all the arch-dependent definitions from the .gir file.  This would involve special cases in g-ir-scanner for glib probably.

The downside of doing that is that once we switch over to generating documentation from .gir files, we'd no longer get documentation for e.g. G_GUINT64_FORMAT =/
Comment 1 Philippe Troin 2012-06-12 18:27:39 EDT
Still present in 1.32.1-1.fc17:

# yum install -y gobject-introspection-devel-1.32.1-1.fc17.i686
Loaded plugins: changelog, downloadonly, priorities, remove-with-leaves, show-
              : leaves, tsflags
16 packages excluded due to repository priority protections
Resolving Dependencies
--> Running transaction check
---> Package gobject-introspection-devel.i686 0:1.32.1-1.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                         Arch     Version              Repository  Size
================================================================================
Installing:
 gobject-introspection-devel     i686     1.32.1-1.fc17        fedora     996 k

Transaction Summary
================================================================================
Install  1 Package

Total size: 996 k
Installed size: 7.5 M
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/bin/g-ir-annotation-tool from install of gobject-introspection-devel-1.32.1-1.fc17.i686 conflicts with file from package gobject-introspection-devel-1.32.1-1.fc17.x86_64
  file /usr/bin/g-ir-scanner from install of gobject-introspection-devel-1.32.1-1.fc17.i686 conflicts with file from package gobject-introspection-devel-1.32.1-1.fc17.x86_64
  file /usr/share/gir-1.0/GLib-2.0.gir from install of gobject-introspection-devel-1.32.1-1.fc17.i686 conflicts with file from package gobject-introspection-devel-1.32.1-1.fc17.x86_64

Error Summary
-------------

[2]    11996 exit 1     noglob yum install -y gobject-introspection-devel-1.32.1-1.fc17.i686
Comment 2 Fedora End Of Life 2013-04-03 13:59:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Fedora End Of Life 2015-01-09 12:04:28 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 09:10:23 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Colin Walters 2015-06-10 08:56:08 EDT
*** Bug 1230016 has been marked as a duplicate of this bug. ***
Comment 6 Colin Walters 2015-06-10 08:59:23 EDT
The effort/reward here ratio here is very high.

I still recommend using mock to build i686 binaries from an x86_64 host.
Comment 7 Jan Kurik 2015-07-15 11:10:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 8 Fedora End Of Life 2016-11-24 05:38:05 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Jan Kratochvil 2016-11-24 16:30:29 EST
gobject-introspection-devel-1.50.0-1.fc25
Comment 10 Fedora End Of Life 2017-11-16 14:01:11 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2017-12-12 05:28:49 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.